Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055335 - "Preparing environment for backtrace generation" takes absurdly long time
Summary: "Preparing environment for backtrace generation" takes absurdly long time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1065144 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 03:02 UTC by Michael Catanzaro
Modified: 2015-06-03 08:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-03 08:10:56 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2014-01-20 03:02:30 UTC
Description of problem: When reporting a bug to Red Hat Bugzilla, the ABRT consistently spends roughly 15-20 minutes "preparing environment for backtrace generation." (I haven't timed this but I can if need be.) This step has always taken a long time, but I think it used to be more like 5 minutes (still too long!) when I started using Fedora a year ago, not 20 minutes. This is a good way to discourage users from reporting to Bugzilla. What's going on during this time?

I guess this is probably a retrace server issue, but I don't know where else to report it.

Comment 1 Jakub Filak 2014-01-20 08:24:27 UTC
Michal Toman is the best contact for questions regarding the retrace server.

Comment 2 Michal Toman 2014-01-20 11:28:40 UTC
In order to generate a backtrace, you need to fetch and unpack all the relevant debuginfo packages. For small applications like coreutils, tar, gzip etc. this is a pretty simple task - a few MBs of debuginfos. For larger applications like libreoffice, firefox or rhytmbox the amount of required debuginfos is in GBs.

What the server does is that it creates a virtual environment to simulate the system where the crash has occurred, unpacks the relevant debuginfos within and runs the backtrace generating routine. The server has all the packages available locally, so there is no downloading required. Most of the time is spent unpacking RPMs, which is a pretty disk-intensive operation. It may happen that several large tasks push the disks to their limits and performance gets degraded for a while, but in average the tasks should finish in a shorter time period (around 5 minutes).

Comment 3 Michael Catanzaro 2014-01-20 15:36:03 UTC
OK. I'll time the next crash I report and attach the crash folder. It's hard to imagine unpacking RPMs could take as long as I estimate (unless lots of users are using the same server?).

It might be independently good to have a better indication of progress in ABRT (like a percentage indicator).

Comment 4 Michael Catanzaro 2014-01-21 00:17:19 UTC
I timed a gnote report today, and it was indeed just over five minutes on "preparing environment for backtrace generation." This still seems like too much, but my estimate was clearly nonsense, sorry about that.  (Then again, I guess about 2/3 of the crashes I attempt report are WebKit crashes.)

Comment 5 Michael Catanzaro 2014-01-26 04:14:53 UTC
Hey Michal,

I had a Nautilus crash today. ABRT spent nearly 35 minutes "preparing environment for backtrace generation" and nearly another 5 minutes "cleaning environment after backtrace generation." I judge this by counting the up dots that I've discovered ABRT prints every 10 seconds to indicate progress.

(Not that it's relevant to this bug, but I'll mention that the end result was that reporting was disabled because the backtrace is unusable.)

Comment 6 Jakub Filak 2014-02-14 08:38:22 UTC
*** Bug 1065144 has been marked as a duplicate of this bug. ***

Comment 7 Fedora End Of Life 2015-05-29 10:35:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Jakub Filak 2015-06-03 08:10:56 UTC
I believe this is not an issue anymore. Retrace server has been donated with a decent amount of computational power.


Note You need to log in before you can comment on or make changes to this bug.